/******************************************************************************
 *
 * Copyright (C) 2002 Hugo PEREIRA <mailto: hugo.pereira@free.fr>
 *
 * This is free software; you can redistribute it and/or modify it under the
 * terms of the GNU General Public License as published by the Free Software
 * Foundation; either version 2 of the License, or (at your option) any later
 * version.
 *
 * This software is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY;  without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE.   See the GNU General Public License
 * for more details.
 *
 * You should have received a copy of the GNU General Public License along with
 * software; if not, write to the Free Software Foundation, Inc., 59 Temple
 * Place, Suite 330, Boston, MA   02111-1307 USA
 *
 *
 *******************************************************************************/

#include "DuplicateImageDialog.h"

#include <QButtonGroup>
#include <QLabel>

//________________________________________________
DuplicateImageDialog::DuplicateImageDialog( QWidget* parent, const File& file ):
    CustomDialog( parent, OkButton|CancelButton|Separator )
{
    Debug::Throw( "DuplicateImageDialog::DuplicateImageDialog.\n" );
    setOptionName( "DUPLICATE_DIALOG" );

    QString buffer = QString(
        tr( "File '%1' already has stored data. "
        "What do you want to do ?" ) ).arg( file.localName() );

    QLabel* label = new QLabel( buffer, this );
    label->setWordWrap( true );
    mainLayout().addWidget( label );
    mainLayout().addWidget( openCheckBox_ = new QRadioButton( tr( "Open existing data" ), this ) );
    mainLayout().addWidget( createCheckBox_ = new QRadioButton( tr( "Create a new empty data set" ), this ) );

    QButtonGroup* group = new QButtonGroup( this );
    group->setExclusive( true );
    group->addButton( openCheckBox_ );
    group->addButton( createCheckBox_ );
    setMode( REOPEN );
}
