#ifndef DuplicateImageDialog_h
#define DuplicateImageDialog_h

// $Id: DuplicateImageDialog.h,v 1.4 2013/03/15 16:32:25 hupereir Exp $

/******************************************************************************
 *
 * Copyright (C) 2002 Hugo PEREIRA <mailto: hugo.pereira@free.fr>
 *
 * This is free software; you can redistribute it and/or modify it under the
 * terms of the GNU General Public License as published by the Free Software
 * Foundation; either version 2 of the License, or (at your option) any later
 * version.
 *
 * This software is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY;  without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE.   See the GNU General Public License
 * for more details.
 *
 * You should have received a copy of the GNU General Public License along with
 * software; if not, write to the Free Software Foundation, Inc., 59 Temple
 * Place, Suite 330, Boston, MA   02111-1307 USA
 *
 *
 *******************************************************************************/

#include "CustomDialog.h"
#include "File.h"

#include <QRadioButton>

class TextEditor;

class DuplicateImageDialog: public CustomDialog
{

    Q_OBJECT

    public:

    //! mode
    enum Mode
    {
        REOPEN,
        CREATE
    };

    //! constructor
    DuplicateImageDialog( QWidget*, const File& );

    //! destructor
    virtual ~DuplicateImageDialog( void )
    {}

    //! mode
    void setMode( Mode mode )
    {
        if( mode == REOPEN ) openCheckBox_->setChecked( true );
        else createCheckBox_->setChecked( true );
    }

    //! mode
    Mode mode( void ) const
    { return openCheckBox_->isChecked() ? REOPEN:CREATE; }

    private:

    //! reopen checkbox
    QRadioButton* openCheckBox_;

    //! create
    QRadioButton* createCheckBox_;

};

#endif
