// $Id: RefPointFormatDialog.cpp,v 1.3 2013/03/12 08:47:46 hupereir Exp $

/******************************************************************************
 *
 * Copyright (C) 2002 Hugo PEREIRA <mailto: hugo.pereira@free.fr>
 *
 * This is free software; you can redistribute it and/or modify it under the
 * terms of the GNU General Public License as published by the Free Software
 * Foundation; either version 2 of the License, or (at your option) any later
 * version.
 *
 * This software is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY;  without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE.   See the GNU General Public License
 * for more details.
 *
 * You should have received a copy of the GNU General Public License along with
 * software; if not, write to the Free Software Foundation, Inc., 59 Temple
 * Place, Suite 330, Boston, MA   02111-1307 USA
 *
 *
 *******************************************************************************/

#include "RefPointFormatDialog.h"

#include "RefPointFormatConfiguration.h"
#include "Icons.h"
#include "IconEngine.h"

//________________________________________________________________________
RefPointFormatDialog::RefPointFormatDialog( QWidget* parent ):
    CustomDialog( parent, OkButton|CancelButton|Separator )
{

    Debug::Throw( "RefPointFormatDialog::RefPointFormatDialog.\n" );

    // configuration widget
    mainLayout().addWidget( configuration_ = new RefPointFormatConfiguration( this ) );

    // apply button
    applyButton_ = new QPushButton( this );
    applyButton_->setIcon( IconEngine::get( ICONS::DIALOG_OK_APPLY ) );
    applyButton_->setText( tr( "Apply" ) );
    buttonLayout().insertWidget( 1, applyButton_ );

    // connections
    connect( applyButton_, SIGNAL( clicked( void ) ), SLOT( _updateConfiguration( void ) ) );
    connect( &okButton(), SIGNAL( clicked( void ) ), SLOT( _updateConfiguration( void ) ) );

}

//________________________________________________________________________
void RefPointFormatDialog::_updateConfiguration( void )
{ configuration_->write(); }
