#ifndef RefPointFormatDialog_h
#define RefPointFormatDialog_h

// $Id: RefPointFormatDialog.h,v 1.2 2013/02/14 09:02:46 hupereir Exp $

/******************************************************************************
 *
 * Copyright (C) 2002 Hugo PEREIRA <mailto: hugo.pereira@free.fr>
 *
 * This is free software; you can redistribute it and/or modify it under the
 * terms of the GNU General Public License as published by the Free Software
 * Foundation; either version 2 of the License, or (at your option) any later
 * version.
 *
 * This software is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY;  without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE.   See the GNU General Public License
 * for more details.
 *
 * You should have received a copy of the GNU General Public License along with
 * software; if not, write to the Free Software Foundation, Inc., 59 Temple
 * Place, Suite 330, Boston, MA   02111-1307 USA
 *
 *
 *******************************************************************************/

#include "CustomDialog.h"

#include <QPushButton>

class RefPointFormatConfiguration;

//! reference point format configuration dialog
class RefPointFormatDialog: public CustomDialog
{
    Q_OBJECT

    public:

    //! constructor
    RefPointFormatDialog( QWidget* );

    //! destructor
    virtual ~RefPointFormatDialog( void )
    {}

    //! apply button
    QPushButton& applyButton( void )
    { return *applyButton_; }

    protected slots:

    //! update configuration
    void _updateConfiguration( void );

    private:

    //! configuration widget
    RefPointFormatConfiguration* configuration_;

    //! apply button
    QPushButton* applyButton_;

};

#endif
