#ifndef XmlDef_h
#define XmlDef_h

// $Id: XmlDef.h,v 1.13 2013/03/21 16:18:19 hupereir Exp $

/******************************************************************************
*
* Copyright (C) 2002 Hugo PEREIRA <mailto: hugo.pereira@free.fr>
*
* This is free software; you can redistribute it and/or modify it under the
* terms of the GNU General Public License as published by the Free Software
* Foundation; either version 2 of the License, or (at your option) any later
* version.
*
* This software is distributed in the hope that it will be useful, but WITHOUT
* ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
* FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
* for more details.
*
* You should have received a copy of the GNU General Public License along with
* software; if not, write to the Free Software Foundation, Inc., 59 Temple
* Place, Suite 330, Boston, MA  02111-1307 USA
*
*
*******************************************************************************/

#include <QString>

//! Some Xml definitions
namespace XML
{

    static const QString IMAGE_RECORD_LIST( "ImageList" );
    static const QString IMAGE_RECORD( "Image" );

    static const QString IMAGE_VERSION( "Version" );
    static const QString REF_POINTS( "RefPoints" );
    static const QString DATA_SET( "DataSet" );
    static const QString POINT( "Point" );
    static const QString INDEX( "Index" );

    static const QString ERROR_MODE( "ErrorMode" );

    //!@name statistical errors
    //@{
    static const QString ERROR_X( "ErrorX" );
    static const QString ERROR_Y( "ErrorY" );
    //@}

    //!@name systematic errors
    //@{
    static const QString ERROR_SYST_X( "ErrorSystX" );
    static const QString ERROR_SYST_Y( "ErrorSystY" );
    //@}

    //!@name error attributes
    //@{
    static const QString ERROR_PLUS( "Plus" );
    static const QString ERROR_MINUS( "Minus" );
    static const QString ERROR_GLOBAL_PLUS( "Plus" );
    static const QString ERROR_GLOBAL_MINUS( "Minus" );
    static const QString ERROR_RELATIVE( "Relative" );
    //@}

    static const QString GLOBAL( "Global" );
    static const QString LOCAL( "Local" );
    static const QString X( "x" );
    static const QString Y( "y" );
    static const QString FLAGS( "Flags" );
    static const QString VALID( "Valid" );
    static const QString ZOOM_MODE( "ZoomMode" );
    static const QString ZOOM_FACTOR( "ZoomFactor" );
}

#endif
